Summary: Pro FTP daemon
Name: proftpd
Version: 1.2.0pre3
Release: C1
Copyright: distributable
Group: Networking/Daemons
Source: ftp://ftp.proftpd.org/distrib/proftpd-%{version}.tar.gz
Source1: proftpd.log
Source2: proftpd.conf
Patch0: proftpd-1.2.0-cobalt.patch
Provides: ftpserver

%description
ProFTPD is an FTP daemon for unix and unix-like operating systems. ProFTPD 
is developed, released and distributed under the GNU Public License (GPL), 
which basically establishes it as free software, meaning that it may not be 
sold (although charges may be levied for distribution and media), and that 
it may not be distributed without full and complete source code (or that full 
and complete source code must be made available from all sites that distributed 
pre-compiled binaries). ProFTPD is designed to be advanced, incredibly 
configurable and secure.

%changelog
* Tue Mar 30 1999 Duncan Laurie <duncan@cobaltnet.com>
- up to pre3

* Wed Feb 17 1999 Duncan Laurie <duncan@cobaltnet.com>
- up to pre2 to fix security prob

* Sun Jan 3 1999 Sridhar Gopal <gsri@cobaltnet.com>
- configure with mod_pam
- downloaded www.macgyver.org/software/proftpd/mod_pam.c

* Thu Nov 19 1998 Duncan Laurie <duncan@cobaltnet.com>
- BUILDROOT!!!
- include /usr/sbin/ftpshut
- make /usr/var/proftpd directory so proftpd actually works right

* Thu Oct 29 1998 Will DeHaan <will@cobaltnet.com>
- Fix umask to 002

* Fri Oct 23 1998 Will DeHaan <will@cobaltnet.com>
- Upgrade to proftpd-1.2.0pre1

* Thu Oct 22 1998 Will DeHaan <will@cobaltnet.com>
- Upgrade to proftpd-1.1.7pl3
- Change paths in configure, cobalt patch 0

* Fri May 29 1998 Aaron Fosdick <aaron@cobaltmicro.com>
- initial rpm build

%prep
%setup -n proftpd-%{version}

%patch0 -p1

%build
./configure --with-modules=mod_pam
make

%install

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}/usr/{,var/proftpd,bin,sbin,man,man/man{,1,5,8}}

cd ${RPM_BUILD_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
install -m 644 -o root -g root ${RPM_SOURCE_DIR}/proftpd.log ${RPM_BUILD_ROOT}/etc/logrotate.d/proftpd
install -m 644 -o root -g root ${RPM_SOURCE_DIR}/proftpd.conf ${RPM_BUILD_ROOT}/etc/proftpd.conf
/usr/bin/install -c -s -o root -g root -m 0755 proftpd ${RPM_BUILD_ROOT}/usr/sbin/proftpd
/usr/bin/install -c -s -o root -g root -m 0755 ftpcount ${RPM_BUILD_ROOT}/usr/bin/ftpcount
/usr/bin/install -c -s -o root -g root -m 0755 ftpshut ${RPM_BUILD_ROOT}/usr/sbin/ftpshut
/usr/bin/install -c -o root -g root -m 0644 ./src/proftpd.8 ${RPM_BUILD_ROOT}/usr/man/man8
/usr/bin/install -c -o root -g root -m 0644 ./src/ftpshut.8 ${RPM_BUILD_ROOT}/usr/man/man8
/usr/bin/install -c -o root -g root -m 0644 ./src/ftpwho.1 ${RPM_BUILD_ROOT}/usr/man/man1
/usr/bin/install -c -o root -g root -m 0644 ./src/ftpcount.1 ${RPM_BUILD_ROOT}/usr/man/man1
/usr/bin/install -c -o root -g root -m 0644 ./src/xferlog.5 ${RPM_BUILD_ROOT}/usr/man/man5
(cd ${RPM_BUILD_ROOT}/usr/bin ; rm -f ftpwho ; ln -s ftpcount ftpwho)

%post
if [ ! -f /var/log/xferlog ]; then
	touch /var/log/xferlog
	chmod 600 /var/log/xferlog
fi

# Change /etc/inetd.conf to use in.proftpd
mv /etc/inetd.conf /etc/inetd.conf.noproftpd
sed -e "s/in.ftpd -l -a/in.proftpd/g" /etc/inetd.conf.noproftpd &> /etc/inetd.conf

%postun

%files
%doc README INSTALL sample-configurations COPYING 
%dir /etc/logrotate.d
%dir /usr/sbin
%dir /usr/bin
%dir /usr/var/proftpd
%config /etc/logrotate.d/proftpd
/usr/sbin/proftpd
/usr/sbin/in.proftpd
/usr/bin/ftpcount
/usr/bin/ftpwho
/usr/sbin/ftpshut
/usr/man/man8/proftpd.8
/usr/man/man8/ftpshut.8
/usr/man/man1/ftpcount.1
/usr/man/man1/ftpwho.1

